package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

/**
 * 在线状态
 */
public enum OnlineStateEnum implements IIntegerEnum {

    OFFLINE(0, "离线"),

    ONLINE(1, "在线");

    private Integer value;
    private String display;

    OnlineStateEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {
        return display;
    }
}
